#include "kernel/include/types.h"
#include "kernel/include/stat.h"
#include "xv6-user/user.h"

int
main(int argc, char *argv[])
{
  int i;

  if(argc < 2){
    fprintf(2, "Usage: touch files...\n");
    exit(1);
  }

  for(i = 1; i < argc; i++){
    if(touch(argv[i]) < 0){
      fprintf(2, "touch: %s failed to create\n", argv[i]);
      break;
    }
  }

  exit(0);
}
