#include "kernel/include/types.h"
#include "kernel/include/stat.h"
#include "kernel/include/utsname.h"
#include "xv6-user/user.h"

int
main(int argc, char **argv)
{
    struct utsname info;

    

    if (uname(&info) < 0) {
        printf("uname failed\n");
        exit(1);
    }

    fprintf(1,"System name: %s\n", info.sysname);
    fprintf(1,"Node name: %s\n", info.nodename);
    fprintf(1,"Release: %s\n", info.release);
    fprintf(1,"Version: %s\n", info.version);
    fprintf(1,"Machine: %s\n", info.machine);

    exit(0);
}
