#ifndef __SYSNUM_H
#define __SYSNUM_H

// System call numbers
#define SYS_fork         1
#define SYS_exit         2
#define SYS_wait         3
#define SYS_pipe         4
#define SYS_read         5
#define SYS_kill         6
#define SYS_exec         7
#define SYS_fstat        8
#define SYS_chdir        9
#define SYS_dup         10
#define SYS_getpid      11
#define SYS_sbrk        12
#define SYS_sleep       13
#define SYS_uptime      14
#define SYS_open        15
#define SYS_write       16
#define SYS_remove      17
#define SYS_trace       18
#define SYS_sysinfo     19
#define SYS_mkdir       20
#define SYS_close       21
#define SYS_test_proc   22
#define SYS_dev         23
#define SYS_readdir     24
#define SYS_getcwd      25
#define SYS_rename      26
#define SYS_date        27
#define SYS_uname       28
#define SYS_pwd         29
#define SYS_touch       30
#define SYS_waitsch     31
#define SYS_set_priority 32
#define SYS_brk         33
#define SYS_clone       34
#define SYS_thread_exit 35
#define SYS_thread_join 36
#define SYS_getppid     37
#define SYS_execve      38
#define SYS_dup2        39
#define SYS_openat      40
#define SYS_getdents64  41
#define SYS_unlinkat    42
#define SYS_mkdirat     43
#define SYS_waitpid     44
#define SYS_chmod       45
#define SYS_chown       46
#define SYS_munmap     132
#define SYS_mmap       133
#define SYS_rt_sigaction 134
#define SYS_rt_sigprocmask 135
#define SYS_rt_sigreturn 139
#endif